Update a secret reference

Renaming (name) also updates the internal pointer. Providing vaultKey re-encrypts the secret.

Authentication

AuthorizationBearer

WorkOS organization API key (Authorization: Bearer sk_…).

Path parameters

secretReferenceIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringOptional
vaultTypestringOptional
vaultKeystringOptional

Provide to re-encrypt with a new secret value.

metadatamap from strings to anyOptional
Arbitrary JSON object, or null.

Response

OK
dataobject

The secret’s vaultKey is encrypted server-side and never returned. name is the only identifier.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error